Bug 219260 - Fix ANGLE CMakeLists.txt warnings
Summary: Fix ANGLE CMakeLists.txt warnings
Status: RESOLVED WORKSFORME
Alias: None
Product: WebKit
Classification: Unclassified
Component: ANGLE (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Rob Buis
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2020-11-23 09:20 PST by Rob Buis
Modified: 2020-12-01 03:27 PST (History)
10 users (show)

See Also:


Attachments
Patch (1.46 KB, patch)
2020-11-23 09:23 PST, Rob Buis
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rob Buis 2020-11-23 09:20:49 PST
Make Warning (dev) at Source/ThirdParty/ANGLE/CMakeLists.txt:103:
  Syntax Warning in cmake code at column 37

  Argument not separated from preceding token by whitespace.
This warning is for project developers.  Use -Wno-dev to suppress it.
Comment 1 Rob Buis 2020-11-23 09:23:03 PST
Created attachment 414806 [details]
Patch
Comment 2 EWS Watchlist 2020-11-25 19:16:44 PST
Note that there are important steps to take when updating ANGLE. See https://trac.webkit.org/wiki/UpdatingANGLE
Comment 3 EWS 2020-11-27 08:32:18 PST
Committed r270194: <https://trac.webkit.org/changeset/270194>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 414806 [details].
Comment 4 Radar WebKit Bug Importer 2020-11-27 08:33:22 PST
<rdar://problem/71765587>
Comment 5 Ryan Haddad 2020-11-30 15:43:48 PST
Reverted r270129, r270194, and r270258 for reason:

r270129 broke macCatalyst build

Committed r270272: <https://trac.webkit.org/changeset/270272>
Comment 6 Rob Buis 2020-12-01 03:27:41 PST
Since the revert of r270129 this is no longer needed.